# $Revision: 1.56 $, $Date: 2010/08/25 06:56:57 $
Summary:	LIVE555 for streaming media
Summary(pl.UTF-8):	LIVE555 do strumieni multimedialnych
Name:		live
Version:	2010.04.09
Release:	1
Epoch:		2
License:	LGPL v2.1+
Group:		Development/Libraries
Source0:	http://www.live555.com/liveMedia/public/%{name}.%{version}.tar.gz
# Source0-md5:	7f56f54c1c4697764c6e88282e353e81
Source1:	http://www.live555.com/liveMedia/public/changelog.txt
# Source1-md5:	9f962afca5e55ae76b84ad8cb365d805
Source2:	%{name}-shared.config
URL:		http://www.live555.com/liveMedia/
BuildRequires:	libstdc++-devel
BuildRequires:	sed >= 4.0
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_livedir		%{_libdir}/liveMedia
%define		specflags		-fno-strict-aliasing
# Should be changed on every ABI change
# Alexis Ballier <aballier@gentoo.org>:
%define		LIVE_ABI_VERSION	1

%description
LIVE555 for streaming media.

%description -l pl.UTF-8
LIVE555 do strumieni multimedialnych.

%package libs
Summary:	Shared LIVE555 libraries for streaming media
Group:		Development/Libraries

%description libs
Shared LIVE555 libraries for streaming media.

%package devel
Summary:	Header files for developing programs using LIVE555
Summary(pl.UTF-8):	Pliki nagłówkowe do biblioteki LIVE555
Group:		Development/Libraries
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}
Obsoletes:	live < 2:2009.07.09-2.5

%description devel
Header files for developing programs using LIVE555.

%description devel -l pl.UTF-8
Pliki nagłówkowe do biblioteki LIVE555

%package static
Summary:	Static version LIVE555 library
Summary(pl.UTF-8):	Biblioteka statyczna LIVE555
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static LIVE555 library.

%description static -l pl.UTF-8
Statyczna biblioteka LIVE555.

%prep
%setup -q -c -n %{name}
install %{SOURCE2} %{name}/config.linux-shared
cp -pPR %{name} %{name}-shared
mv %{name} %{name}-static

%build
cd %{name}-static
./genMakefiles linux
sed -i -e 's#$(TESTPROGS_APP)##g' Makefile Makefile.tail
%{__make} \
	C_COMPILER="%{__cc}" \
	CPLUSPLUS_COMPILER="%{__cxx}" \
	COMPILE_OPTS="\$(INCLUDES) -I. %{rpmcppflags} %{rpmcflags} -DSOCKLEN_T=socklen_t -fPIC"

cd ../%{name}-shared
./genMakefiles linux-shared
sed -i -e 's#$(TESTPROGS_APP)##g' Makefile Makefile.tail
%{__make} \
	C_COMPILER="%{__cc}" \
	CPLUSPLUS_COMPILER="%{__cxx}" \
	LIB_SUFFIX="so.%{LIVE_ABI_VERSION}" \
	COMPILE_OPTS="\$(INCLUDES) -I. %{rpmcppflags} %{rpmcflags} -DSOCKLEN_T=socklen_t"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir},%{_includedir}/liveMedia,%{_bindir}}

cd %{name}-static
for i in liveMedia groupsock UsageEnvironment BasicUsageEnvironment; do
	install -p $i/lib$i.a $RPM_BUILD_ROOT%{_libdir}
done

cd ../%{name}-shared

for i in liveMedia groupsock UsageEnvironment BasicUsageEnvironment; do
	install -p $i/lib$i.so.%{LIVE_ABI_VERSION} $RPM_BUILD_ROOT%{_libdir}
	ln -s lib$i.so.%{LIVE_ABI_VERSION} $RPM_BUILD_ROOT%{_libdir}/lib$i.so
	install -p $i/include/* $RPM_BUILD_ROOT%{_includedir}/liveMedia
done

# We provide shared version:
install -p mediaServer/live555MediaServer $RPM_BUILD_ROOT%{_bindir}

cd ..
cp -af %{SOURCE1} ChangeLog.txt

%clean
rm -rf $RPM_BUILD_ROOT

%post libs   -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/live555MediaServer

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libBasicUsageEnvironment.so.*
%attr(755,root,root) %{_libdir}/libUsageEnvironment.so.*
%attr(755,root,root) %{_libdir}/libgroupsock.so.*
%attr(755,root,root) %{_libdir}/libliveMedia.so.*

%files devel
%defattr(644,root,root,755)
%doc ChangeLog.txt
%{_includedir}/liveMedia
%attr(755,root,root) %{_libdir}/libBasicUsageEnvironment.so
%attr(755,root,root) %{_libdir}/libUsageEnvironment.so
%attr(755,root,root) %{_libdir}/libgroupsock.so
%attr(755,root,root) %{_libdir}/libliveMedia.so

%files static
%defattr(644,root,root,755)
%{_libdir}/libBasicUsageEnvironment.a
%{_libdir}/libUsageEnvironment.a
%{_libdir}/libgroupsock.a
%{_libdir}/libliveMedia.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: live.spec,v $
Revision 1.56  2010/08/25 06:56:57  glen
- obsolete old package before split

Revision 1.55  2010/05/23 18:07:09  arekm
- up to 20100409

Revision 1.54  2009/07/18 19:02:59  arekm
- move .so to devel pkg; use rpmcppflags

Revision 1.53  2009/07/18 18:34:18  blues
- rel.4 - merged from DEVEL - works fine

Revision 1.52.2.2  2009/07/18 16:36:44  blues
- up

Revision 1.52.2.1  2009/07/18 16:09:06  blues
- let's try to put shared libs to proper place and simplify it all

Revision 1.52  2009/07/18 12:31:37  blues
- simple

Revision 1.51  2009/07/18 12:24:22  blues
- cleanups

Revision 1.50  2009/07/18 11:33:33  blues
- missing epoch in requires

Revision 1.49  2009/07/18 11:22:45  blues
- build shared and static version

Revision 1.48  2009/07/18 11:14:30  arekm
- rel 2; use -fPIC

Revision 1.47  2009/07/18 10:37:39  arekm
- up to 2009.07.09

Revision 1.46  2009/07/17 14:32:21  blues
- cosmetics

Revision 1.45  2009/06/10 11:48:05  amateja
- updated to 2009.06.02

Revision 1.44  2008/07/18 19:44:35  adamg
- updated to 2008.07.06

Revision 1.43  2008/06/21 07:35:44  adamg
- updated to 2008.06.05

Revision 1.42  2007/11/04 13:59:16  qboosh
- updated to 2007.11.01

Revision 1.41  2007/08/31 20:50:18  arekm
- up to 2007.08.03a

Revision 1.40  2007/02/22 19:50:20  pawelb
- fixed changelog md5sum

Revision 1.39  2007/02/22 19:42:37  pawelb
- up to 2007.02.20

Revision 1.38  2007/02/13 06:46:52  glen
- tabs in preamble

Revision 1.37  2007/02/12 00:49:06  baggins
- converted to UTF-8

Revision 1.36  2006/10/08 20:34:47  qboosh
- updated to 2006.10.07

Revision 1.35  2006/09/29 19:05:45  pluto
- release 2 for rebuild with fixed binutils.

Revision 1.34  2006/09/19 12:05:23  pluto
- keep changelog on df.

Revision 1.33  2006/09/19 12:00:52  pluto
- updated to 2006.09.18, changelog added.

Revision 1.32  2006/06/30 19:43:49  czarny
 - up to 2006.06.28

Revision 1.31  2006/05/06 08:45:28  pawelb
- up to 2006.03.17

Revision 1.30  2006/03/02 19:12:25  arekm
- up to 2006.02.25

Revision 1.29  2006/02/12 22:14:19  pluto
- gcc4 fix, strstream.h hack not needed (includes ifdef'ed in sources).

Revision 1.28  2006/01/03 21:08:00  qboosh
- updated URLs (live.com is owned by Microsoft now)

Revision 1.27  2005/09/08 16:45:00  pluto
- updated to 2005.09.06
  # memleak fix.
  # handling Microsoft servers' non-standard use of the RTSP/RTP protocol.
  # other minor fixes.

Revision 1.26  2005/08/16 18:11:50  paszczus
- some fresh meat [2005.08.09]

Revision 1.25  2005/03/21 21:06:40  qboosh
- added missing version info to the last commit message

Revision 1.24  2005/03/20 20:39:02  djurban
- update on request of glen
[2005.03.11]

Revision 1.23  2005/02/06 20:57:33  matowy
- up to 200.01.29

Revision 1.22  2005/02/06 18:16:17  darekr
- BR sed 4.0, cosmetics

Revision 1.21  2005/01/09 22:37:56  adamg
- updated to 2005.01.07

Revision 1.20  2004/12/05 14:47:34  darekr
- updated to 2004.11.30

Revision 1.19  2004/11/08 01:17:12  undefine
- up to 2004.11.06

Revision 1.18  2004/10/23 15:41:20  qboosh
- updated to 2004.10.22

Revision 1.17  2004/09/28 14:09:41  djurban
- updated to 09.24

Revision 1.16  2004/08/25 17:59:05  arekm
- update to 20040824

Revision 1.15  2004/07/17 13:23:10  pluto
- BR(libstdc++-devel) added.

Revision 1.14  2004/06/17 13:38:33  djurban
- updated to 2004.06.17

Revision 1.13  2004/04/24 18:15:10  pluto
- epoch:2

Revision 1.12  2004/04/24 13:25:02  pluto
- updated to 2004.04.23, epoch:2 commented out.

Revision 1.11  2004/04/24 12:26:09  djurban
- updated to 040409

Revision 1.10  2004/01/25 01:31:39  wiget
- up to 2004.01.24

Revision 1.9  2004/01/01 21:50:48  djurban
- updated to 2003.12.26

Revision 1.8  2003/09/02 12:53:33  djurban
- updaed to 2003.09.01

Revision 1.7  2003/07/24 08:38:49  qboosh
- fixed build with gcc 3.3, optimize

Revision 1.6  2003/07/24 07:01:11  adamg
- updated to 2003.07.14

Revision 1.5  2003/05/25 11:00:54  malekith
- massive attack, adding Source-md5

Revision 1.4  2003/05/25 05:50:14  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2003/03/14 19:14:26  wiget
- updated to 2003.03.14

Revision 1.2  2003/01/20 19:37:06  qboosh
- pl description, added missing dirs
- removed ldconfig (no shared libraries in */lib)
- no need for 755 on headers and static libraries

Revision 1.1  2003/01/10 10:57:09  adasi
 - Initial release, real rzezba
